QGIS Application - Bug report #21713
unvisible mouse cursor on specific backgrounds
2019-03-31 10:51 AM - Jan Lippmann

Status: Open
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:3.4.6
Operating System: Win 7 64bit
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29529

Description

The mouse cursor of some tools (for instance: node, move, line offset, delete part, delete ring, rotate, simplify) is not visible, if the
layersymbolcolor is exactly the color of the cursor. That makes some edit actions not possible. There are better cursors like the cursor for
create or split feature. This Cursor is robust against the backgrounds. It would be very kind, if anybody could fix this for the 3.4.7 LTR.

Thanks!

Jan
History

#1 - 2019-04-06 10:58 AM - Jan Lippmann

A financing of the bugfix is possible. Please contact me.

#2 - 2019-04-06 12:16 PM - Giovanni Manghi
- Easy fix? changed from Yes to No

Jan Lippmann wrote:

A financing of the bugfix is possible. Please contact me.

if is you that is available to support the bug fix then usually is the other way around: you should contact the developers.

#3 - 2019-04-07 01:02 PM - Jan Lippmann

Giovanni Manghi wrote:

Jan Lippmann wrote:

A financing of the bugfix is possible. Please contact me.

if is you that is available to support the bug fix then usually is the other way around: you should contact the developers.
Hello Giovanni,

you are right. | will do that.

#4 - 2019-05-01 11:19 AM - Jan Lippmann

- File qgis-cross-cursor-ubuntu.gif added

Some more details:

- It seems: that only on Windows AND the specific Cross-Cursor is the problem

- On Windows the specific Cross-Cursor has only the fill color near RGB 127,127,127 there is no outline color

- On Ubuntu the specific Cross-Cursor has white fill color AND a grey/black outline color (qgis-cross-cursor-ubuntu.gif)

qgis-cross-cursor-ubuntu.gif
